org.apache.commons.imaging.formats.tiff.constants

## Class TiffConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.TiffConstants

-     public final class TiffConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ByteOrder` | `DEFAULT_TIFF_BYTE_ORDER`
    `static String` | `PARAM_KEY_CUSTOM_PHOTOMETRIC_INTERPRETER`
    `static String` | `PARAM_KEY_LZW_COMPRESSION_BLOCK_SIZE` Specifies the amount of memory in bytes to be used for a strip or tile size when employing LZW compression.
    `static String` | `PARAM_KEY_SUBIMAGE_HEIGHT`
    `static String` | `PARAM_KEY_SUBIMAGE_WIDTH`
    `static String` | `PARAM_KEY_SUBIMAGE_X`
    `static String` | `PARAM_KEY_SUBIMAGE_Y`
    `static String` | `PARAM_KEY_T4_OPTIONS` Parameter key.
    `static String` | `PARAM_KEY_T6_OPTIONS` Parameter key.
    `static int` | `TIFF_COMPRESSION_CCITT_1D`
    `static int` | `TIFF_COMPRESSION_CCITT_GROUP_3`
    `static int` | `TIFF_COMPRESSION_CCITT_GROUP_4`
    `static int` | `TIFF_COMPRESSION_DEFLATE_ADOBE`
    `static int` | `TIFF_COMPRESSION_DEFLATE_PKZIP`
    `static int` | `TIFF_COMPRESSION_JPEG`
    `static int` | `TIFF_COMPRESSION_LZW`
    `static int` | `TIFF_COMPRESSION_PACKBITS`
    `static int` | `TIFF_COMPRESSION_UNCOMPRESSED`
    `static int` | `TIFF_COMPRESSION_UNCOMPRESSED_1`
    `static int` | `TIFF_COMPRESSION_UNCOMPRESSED_2`
    `static int` | `TIFF_DIRECTORY_FOOTER_LENGTH`
    `static int` | `TIFF_DIRECTORY_HEADER_LENGTH`
    `static int` | `TIFF_ENTRY_LENGTH`
    `static int` | `TIFF_ENTRY_MAX_VALUE_LENGTH`
    `static int` | `TIFF_FLAG_T4_OPTIONS_2D`
    `static int` | `TIFF_FLAG_T4_OPTIONS_FILL`
    `static int` | `TIFF_FLAG_T4_OPTIONS_UNCOMPRESSED_MODE`
    `static int` | `TIFF_FLAG_T6_OPTIONS_UNCOMPRESSED_MODE`
    `static int` | `TIFF_HEADER_SIZE`
    `static int` | `TIFF_LZW_COMPRESSION_BLOCK_SIZE_LARGE` Specifies a larger strip-size to be used for compression.
    `static int` | `TIFF_LZW_COMPRESSION_BLOCK_SIZE_MEDIUM` Specifies a larger strip-size to be used for compression.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIFF_BYTE_ORDER

          public static final ByteOrder DEFAULT_TIFF_BYTE_ORDER

    - #### TIFF_HEADER_SIZE

          public static final int TIFF_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### TIFF_DIRECTORY_HEADER_LENGTH

          public static final int TIFF_DIRECTORY_HEADER_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_DIRECTORY_FOOTER_LENGTH

          public static final int TIFF_DIRECTORY_FOOTER_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_ENTRY_LENGTH

          public static final int TIFF_ENTRY_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_ENTRY_MAX_VALUE_LENGTH

          public static final int TIFF_ENTRY_MAX_VALUE_LENGTH

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_UNCOMPRESSED_1

          public static final int TIFF_COMPRESSION_UNCOMPRESSED_1

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_UNCOMPRESSED

          public static final int TIFF_COMPRESSION_UNCOMPRESSED

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_CCITT_1D

          public static final int TIFF_COMPRESSION_CCITT_1D

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_CCITT_GROUP_3

          public static final int TIFF_COMPRESSION_CCITT_GROUP_3

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_CCITT_GROUP_4

          public static final int TIFF_COMPRESSION_CCITT_GROUP_4

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_LZW

          public static final int TIFF_COMPRESSION_LZW

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_JPEG

          public static final int TIFF_COMPRESSION_JPEG

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_UNCOMPRESSED_2

          public static final int TIFF_COMPRESSION_UNCOMPRESSED_2

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_PACKBITS

          public static final int TIFF_COMPRESSION_PACKBITS

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_DEFLATE_PKZIP

          public static final int TIFF_COMPRESSION_DEFLATE_PKZIP

      See Also:
        Constant Field Values

    - #### TIFF_COMPRESSION_DEFLATE_ADOBE

          public static final int TIFF_COMPRESSION_DEFLATE_ADOBE

      See Also:
        Constant Field Values

    - #### PARAM_KEY_T4_OPTIONS

          public static final String PARAM_KEY_T4_OPTIONS

      Parameter key. Used in write operations to indicate the desired T.4 options to use when using TIFF_COMPRESSION_CCITT_GROUP_3.

      Valid values: any Integer containing a mixture of the TIFF_FLAG_T4_OPTIONS_2D, TIFF_FLAG_T4_OPTIONS_UNCOMPRESSED_MODE, and TIFF_FLAG_T4_OPTIONS_FILL flags.

      See Also:
        Constant Field Values

    - #### PARAM_KEY_T6_OPTIONS

          public static final String PARAM_KEY_T6_OPTIONS

      Parameter key. Used in write operations to indicate the desired T.6 options to use when using TIFF_COMPRESSION_CCITT_GROUP_4.

      Valid values: any Integer containing either zero or TIFF_FLAG_T6_OPTIONS_UNCOMPRESSED_MODE.

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T4_OPTIONS_2D

          public static final int TIFF_FLAG_T4_OPTIONS_2D

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T4_OPTIONS_UNCOMPRESSED_MODE

          public static final int TIFF_FLAG_T4_OPTIONS_UNCOMPRESSED_MODE

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T4_OPTIONS_FILL

          public static final int TIFF_FLAG_T4_OPTIONS_FILL

      See Also:
        Constant Field Values

    - #### TIFF_FLAG_T6_OPTIONS_UNCOMPRESSED_MODE

          public static final int TIFF_FLAG_T6_OPTIONS_UNCOMPRESSED_MODE

      See Also:
        Constant Field Values

    - #### PARAM_KEY_SUBIMAGE_X

          public static final String PARAM_KEY_SUBIMAGE_X

      See Also:
        Constant Field Values

    - #### PARAM_KEY_SUBIMAGE_Y

          public static final String PARAM_KEY_SUBIMAGE_Y

      See Also:
        Constant Field Values

    - #### PARAM_KEY_SUBIMAGE_WIDTH

          public static final String PARAM_KEY_SUBIMAGE_WIDTH

      See Also:
        Constant Field Values

    - #### PARAM_KEY_SUBIMAGE_HEIGHT

          public static final String PARAM_KEY_SUBIMAGE_HEIGHT

      See Also:
        Constant Field Values

    - #### PARAM_KEY_CUSTOM_PHOTOMETRIC_INTERPRETER

          public static final String PARAM_KEY_CUSTOM_PHOTOMETRIC_INTERPRETER

      See Also:
        Constant Field Values

    - #### PARAM_KEY_LZW_COMPRESSION_BLOCK_SIZE

          public static final String PARAM_KEY_LZW_COMPRESSION_BLOCK_SIZE

      Specifies the amount of memory in bytes to be used for a strip or tile size when employing LZW compression. The default is 8000 (roughly 8K). Minimum value is 8000.
      See Also:
        Constant Field Values

    - #### TIFF_LZW_COMPRESSION_BLOCK_SIZE_MEDIUM

          public static final int TIFF_LZW_COMPRESSION_BLOCK_SIZE_MEDIUM

      Specifies a larger strip-size to be used for compression. This setting generally produces smaller output files, but requires a slightly longer processing time. Used in conjunction with the PARAM_KEY_LZW_COMPRESSION_STRIP_SIZE
      See Also:
        Constant Field Values

    - #### TIFF_LZW_COMPRESSION_BLOCK_SIZE_LARGE

          public static final int TIFF_LZW_COMPRESSION_BLOCK_SIZE_LARGE

      Specifies a larger strip-size to be used for compression. This setting generally produces smaller output files, but requires a slightly longer processing time. Used in conjunction with the PARAM_KEY_LZW_COMPRESSION_STRIP_SIZE
      See Also:
        Constant Field Values

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.